View Issue Details

IDProjectCategoryView StatusLast Update
0007220Talerauditorpublic2022-04-15 11:43
Reporterttn Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformLinuxOSDevuanOS Version4
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007220: "make check" fails in test_sync.sh
DescriptionHEAD at f9971faa7a6fa5e5e7aa5ee6acdad3d45cfeea1b.
Logs attached.
TagsNo tags attached.

Activities

ttn

2022-04-10 04:55

developer  

.ttn.exchange-make-check.log (14,044 bytes)   
+ export PATH=/home/ttn/te/bin:/home/ttn/build/GNU/T/tw-taler:/home/ttn/bin:/home/ttn/local/bin:/usr/local/bin:/usr/bin:/bin:/home/ttn/local/share/ttn-do
+ PATH=/home/ttn/te/bin:/home/ttn/build/GNU/T/tw-taler:/home/ttn/bin:/home/ttn/local/bin:/usr/local/bin:/usr/bin:/bin:/home/ttn/local/share/ttn-do
+ export TMPDIR=/home/ttn/te/tmp
+ TMPDIR=/home/ttn/te/tmp
+ export PGHOST=/home/ttn/te/pg
+ PGHOST=/home/ttn/te/pg
+ make check
make  check-recursive
make[1]: ingresso nella directory «/home/ttn/build/GNU/T/exchange»
Making check in .
make[2]: ingresso nella directory «/home/ttn/build/GNU/T/exchange»
make[2]: Nessuna operazione da eseguire per «check-am».
make[2]: uscita dalla directory «/home/ttn/build/GNU/T/exchange»
Making check in contrib
make[2]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/contrib»
Making check in .
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/contrib»
make[3]: Nessuna operazione da eseguire per «check-am».
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/contrib»
make[2]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/contrib»
Making check in src
make[2]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src»
Making check in include
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/include»
make[3]: Nessuna operazione da eseguire per «check».
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/include»
Making check in util
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/util»
make  test_age_restriction test_amount test_crypto test_helper_eddsa test_helper_rsa test_helper_cs test_payto test_url
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/util»
  CC       test_age_restriction.o
  CCLD     test_age_restriction
  CC       test_amount.o
  CCLD     test_amount
  CC       test_crypto.o
  CCLD     test_crypto
  CC       test_helper_eddsa.o
  CCLD     test_helper_eddsa
  CC       test_helper_rsa.o
  CCLD     test_helper_rsa
  CC       test_helper_cs.o
  CCLD     test_helper_cs
  CC       test_payto.o
  CCLD     test_payto
  CC       test_url.o
  CCLD     test_url
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/util»
make  check-TESTS
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/util»
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/util»
PASS: test_age_restriction
PASS: test_amount
PASS: test_crypto
PASS: test_helper_eddsa
PASS: test_helper_rsa
PASS: test_helper_cs
PASS: test_payto
PASS: test_url
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 8
# PASS:  8
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/util»
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/util»
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/util»
Making check in json
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/json»
make  test_json test_json_wire
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/json»
  CC       test_json.o
  CCLD     test_json
  CC       test_json_wire.o
  CCLD     test_json_wire
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/json»
make  check-TESTS
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/json»
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/json»
PASS: test_json
PASS: test_json_wire
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 2
# PASS:  2
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/json»
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/json»
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/json»
Making check in extensions
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/extensions»
make[3]: Nessuna operazione da eseguire per «check».
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/extensions»
Making check in curl
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/curl»
make[3]: Nessuna operazione da eseguire per «check».
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/curl»
Making check in pq
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/pq»
make  test_pq
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/pq»
  CC       test_pq.o
  CCLD     test_pq
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/pq»
make  check-TESTS
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/pq»
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/pq»
PASS: test_pq
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/pq»
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/pq»
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/pq»
Making check in sq
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/sq»
make  test_sq
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/sq»
  CC       test_sq.o
  CCLD     test_sq
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/sq»
make  check-TESTS
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/sq»
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/sq»
PASS: test_sq
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/sq»
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/sq»
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/sq»
Making check in mhd
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/mhd»
make[3]: Nessuna operazione da eseguire per «check».
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/mhd»
Making check in bank-lib
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/bank-lib»
make  test_bank.sh
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/bank-lib»
make[4]: Nessuna operazione da eseguire per «test_bank.sh».
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/bank-lib»
make  check-TESTS
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/bank-lib»
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/bank-lib»
PASS: test_bank.sh
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/bank-lib»
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/bank-lib»
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/bank-lib»
Making check in exchangedb
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
make  check-am
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
make  test-exchangedb-postgres bench-db-postgres
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
  CC       test_exchangedb.o
  CCLD     test-exchangedb-postgres
  CC       bench_db.o
  CCLD     bench-db-postgres
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
make  check-TESTS
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
make[6]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
PASS: test-exchangedb-postgres
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[6]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/exchangedb»
Making check in exchange
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/exchange»
make  test_taler_exchange_httpd.sh 
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/exchange»
make[4]: Nessuna operazione da eseguire per «test_taler_exchange_httpd.sh».
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/exchange»
make  check-TESTS
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/exchange»
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/exchange»
PASS: test_taler_exchange_httpd.sh
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/exchange»
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/exchange»
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/exchange»
Making check in auditordb
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/auditordb»
make  test-auditordb-postgres
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/auditordb»
  CC       test_auditordb.o
  CCLD     test-auditordb-postgres
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/auditordb»
make  check-TESTS
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/auditordb»
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/auditordb»
PASS: test-auditordb-postgres
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/auditordb»
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/auditordb»
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/auditordb»
Making check in auditor
make[3]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/auditor»
make  test-auditor.sh test-revocation.sh test-sync.sh
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/auditor»
make[4]: Nessuna operazione da eseguire per «test-auditor.sh».
make[4]: Nessuna operazione da eseguire per «test-revocation.sh».
make[4]: Nessuna operazione da eseguire per «test-sync.sh».
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/auditor»
make  check-TESTS
make[4]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/auditor»
make[5]: ingresso nella directory «/home/ttn/build/GNU/T/exchange/src/auditor»
SKIP: test-auditor.sh
SKIP: test-revocation.sh
FAIL: test-sync.sh
============================================================================
Testsuite summary for taler-exchange 0.8.5
============================================================================
# TOTAL: 3
# PASS:  0
# SKIP:  2
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See src/auditor/test-suite.log
Please report to taler-bug@gnunet.org
============================================================================
make[5]: *** [Makefile:1296: test-suite.log] Errore 1
make[5]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/auditor»
make[4]: *** [Makefile:1404: check-TESTS] Errore 2
make[4]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/auditor»
make[3]: *** [Makefile:1491: check-am] Errore 2
make[3]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src/auditor»
make[2]: *** [Makefile:523: check-recursive] Errore 1
make[2]: uscita dalla directory «/home/ttn/build/GNU/T/exchange/src»
make[1]: *** [Makefile:508: check-recursive] Errore 1
make[1]: uscita dalla directory «/home/ttn/build/GNU/T/exchange»
make: *** [Makefile:805: check] Errore 2
.ttn.exchange-make-check.log (14,044 bytes)   
test-suite.log (1,495 bytes)   
======================================================
   taler-exchange 0.8.5: src/auditor/test-suite.log
======================================================

# TOTAL: 3
# PASS:  0
# SKIP:  2
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

SKIP: test-auditor.sh
=====================

Testing for jq
./test-auditor.sh: riga 1870: jq: comando non trovato
jq required
SKIP test-auditor.sh (exit status: 77)

SKIP: test-revocation.sh
========================

Testing for jq
./test-revocation.sh: riga 494: jq: comando non trovato
jq required
SKIP test-revocation.sh (exit status: 77)

FAIL: test-sync.sh
==================

Testing synchronization logic ......2022-04-08T21:45:01.479439-0400 pq-18514 ERROR PQprepare (`SELECT  out_balance_ok AS balance_ok,out_conflict AS conflict FROM exchange_do_purse_deposit ($1,$2,$3,$4,$5,$6,$7,$8);' as `call_purse_deposit') failed with error: ERROR:  function exchange_do_purse_deposit(unknown, unknown, unknown, unknown, unknown, unknown, unknown, unknown) does not exist
LINE 1: ...ce_ok AS balance_ok,out_conflict AS conflict FROM exchange_d...
                                                             ^
HINT:  No function matches the given name and argument types. You might need to add explicit type casts.

2022-04-08T21:45:01.479514-0400 taler-auditor-sync-18514 ERROR Failed to begin transaction with data source. Exiting
.FAIL
Record count mismatch: 424 / 0 in table denominations
FAIL test-sync.sh (exit status: 1)

test-suite.log (1,495 bytes)   

ttn

2022-04-14 07:37

developer   ~0018875

@Christian Grothoff
I also tried "make uninstall" and "make clean". Still no luck.
Since the issue seems to be 'exchange_do_purse_deposit' not "existing", could this be a PostgreSQL version mismatch?

Christian Grothoff

2022-04-14 09:03

manager   ~0018876

Did you try this after 5882e6b56bd64296761ba10d1192499808e5c594?

ttn

2022-04-15 10:36

developer   ~0018882

Yes, w/ no luck, unfortunately.

It seems 'exchange_do_purse_deposit' now takes 10 args (8 IN, 2 OUT), IIUC src/exchangedb/exchange-0001-part.sql (line 2488).
However, extending the definition of prepared statement 'call_purse_deposit' (src/exchangedb/plugin_exchangedb_postgres.c:822)
by adding "$9" and "$10" isn't enough. The caller 'postgres_do_purse_deposit' (src/exchangedb/plugin_exchangedb_postgres.c:13419)
needs to have its 'params' adjusted as well.

(And who knows, maybe its caller in turn needs adjustment, too.)

Christian Grothoff

2022-04-15 11:43

manager   ~0018883

The test DBs were outdated, fixed in a2604f79..001f406a.

Issue History

Date Modified Username Field Change
2022-04-10 04:55 ttn New Issue
2022-04-10 04:55 ttn Status new => assigned
2022-04-10 04:55 ttn Assigned To => Christian Grothoff
2022-04-10 04:55 ttn File Added: .ttn.exchange-make-check.log
2022-04-10 04:55 ttn File Added: test-suite.log
2022-04-14 07:37 ttn Note Added: 0018875
2022-04-14 09:03 Christian Grothoff Note Added: 0018876
2022-04-15 10:36 ttn Note Added: 0018882
2022-04-15 11:43 Christian Grothoff Note Added: 0018883
2022-04-15 11:43 Christian Grothoff Status assigned => resolved
2022-04-15 11:43 Christian Grothoff Resolution open => fixed
2022-04-15 11:43 Christian Grothoff Fixed in Version => 0.9
2022-04-15 11:43 Christian Grothoff Target Version => 0.9